oc_jpegencode 1.0 JPEGencoder

Static Public Member Functions | Public Attributes | List of all members
sync_fifo_ff Module Reference
Inheritance diagram for sync_fifo_ff:
[legend]

## Static Public Member Functions

## Always Constructs
ALWAYS_324 | ( clk )
ALWAYS_325 | ( clk )
ALWAYS_326 | ( clk )
ALWAYS_327 | ( clk )
ALWAYS_328 | ( clk )

## Public Attributes

## Inputs
clk |
rst |
read_req |
write_data | [ 90 : 0 ]
write_enable |
rollover_write |

## Outputs
read_data | [ 90 : 0 ]
fifo_empty |
rdata_valid |

## Signals
reg[ 4 : 0 ] | read_ptr
reg[ 4 : 0 ] | write_ptr
reg[ 90 : 0 ] | mem [ 0 : 15 ]
reg[ 90 : 0 ] | read_data
reg | rdata_valid
wire[ 3 : 0 ] | write_addr
wire[ 3 : 0 ] | read_addr
wire | read_enable

## Detailed Description

Definition at line 38 of file sync_fifo_ff.v.

## Member Function Documentation

ALWAYS_324 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 61 of file sync_fifo_ff.v.

ALWAYS_325 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 82 of file sync_fifo_ff.v.

ALWAYS_326 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 92 of file sync_fifo_ff.v.

ALWAYS_327 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 101 of file sync_fifo_ff.v.

ALWAYS_328 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 107 of file sync_fifo_ff.v.

## Member Data Documentation

clk
| Input

Definition at line 40 of file sync_fifo_ff.v.

rst
| Input

Definition at line 41 of file sync_fifo_ff.v.

read_req
| Input

Definition at line 42 of file sync_fifo_ff.v.

write_data [ 90 : 0 ]
| Input

Definition at line 43 of file sync_fifo_ff.v.

write_enable
| Input

Definition at line 44 of file sync_fifo_ff.v.

rollover_write
| Input

Definition at line 45 of file sync_fifo_ff.v.

read_data [ 90 : 0 ]
| Output

Definition at line 46 of file sync_fifo_ff.v.

fifo_empty
| Output

Definition at line 47 of file sync_fifo_ff.v.

rdata_valid
| Output

Definition at line 48 of file sync_fifo_ff.v.

read_ptr
| Signal

Definition at line 50 of file sync_fifo_ff.v.

write_ptr
| Signal

Definition at line 51 of file sync_fifo_ff.v.

mem [ 0 : 15 ]
| Signal

Definition at line 52 of file sync_fifo_ff.v.

read_data
| Signal

Definition at line 53 of file sync_fifo_ff.v.

rdata_valid
| Signal

Definition at line 54 of file sync_fifo_ff.v.

write_addr
| Signal

Definition at line 55 of file sync_fifo_ff.v.

read_addr
| Signal

Definition at line 56 of file sync_fifo_ff.v.

read_enable
| Signal

Definition at line 57 of file sync_fifo_ff.v.

The documentation for this Module was generated from the following files:

- code/sync_fifo_ff.v